unit P_Page;

{$WARN SYMBOL_PLATFORM OFF}

interface

uses SysUtils, Windows, Messages, Classes, Graphics, Controls, StdCtrls,
  ExtCtrls, Forms, ComServ, ComObj, StdVcl, AxCtrls;

type
  TPropertyPage1 = class(TPropertyPage)
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
  private
    { Private declarations }
  protected
    { Protected declarations }
  public
    { Public declarations }
    procedure UpdatePropertyPage; override;
    procedure UpdateObject; override;
  end;

const
  Class_PropertyPage1: TGUID = '{9E6D2219-11DF-43E0-A3F6-79DCEF8403F7}';

implementation

{$R *.DFM}

procedure TPropertyPage1.UpdatePropertyPage;
begin
  { Update your controls from OleObject }
  Edit1.Text:=DateToStr(OleObject.CalendarDate);
  Edit2.Text:=OleObject.GridLineWidth;
end;

procedure TPropertyPage1.UpdateObject;
begin
  { Update OleObject from your controls }
  OleObject.CalendarDate:=StrToDate(Edit1.Text);
  OleObject.GridLineWidth:=Edit2.Text;
end;

initialization
  TActiveXPropertyPageFactory.Create(
    ComServer,
    TPropertyPage1,
    Class_PropertyPage1);
end.
